<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * ...
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="mputstr">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>mputstr</refname>
    <refpurpose> write a character string in a file</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>mputstr(str [, fd]);</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>fd</term>
        <listitem>
          <para>scalar. The <literal>fd</literal> parameter returned by the function <literal>mopen</literal>. -1 stands for last opened file. Default value is -1.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>str</term>
        <listitem>
          <para>a character string</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    mputstr function allows to write a character string  in a binary file.</para>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="mclose">mclose</link>
      </member>
      <member>
        <link linkend="meof">meof</link>
      </member>
      <member>
        <link linkend="mfprintf">mfprintf</link>
      </member>
      <member>
        <link linkend="fprintfMat">fprintfMat</link>
      </member>
      <member>
        <link linkend="mfscanf">mfscanf</link>
      </member>
      <member>
        <link linkend="fscanfMat">fscanfMat</link>
      </member>
      <member>
        <link linkend="mget">mget</link>
      </member>
      <member>
        <link linkend="mgetstr">mgetstr</link>
      </member>
      <member>
        <link linkend="mopen">mopen</link>
      </member>
      <member>
        <link linkend="mprintf">mprintf</link>
      </member>
      <member>
        <link linkend="mput">mput</link>
      </member>
      <member>
        <link linkend="mputstr">mputstr</link>
      </member>
      <member>
        <link linkend="mscanf">mscanf</link>
      </member>
      <member>
        <link linkend="mseek">mseek</link>
      </member>
      <member>
        <link linkend="mtell">mtell</link>
      </member>
      <member>
        <link linkend="mdelete">mdelete</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
